
/*
 * Types
 *
 * Author:  Henrik Zimmer <henrik@zimmer.to>
 *
 * Version: $Revision: 1 $
 * Date:    $Date: 2010-01-06 20:24:14 +0100 (Wed, 06 Jan 2010) $
 */

#ifndef HZ_TETGEN_TYPES_HH
#define HZ_TETGEN_TYPES_HH

#include <ObjectTypes/TriangleMesh/TriangleMesh.hh>
#include <ObjectTypes/PolyMesh/PolyMesh.hh>
#include <ACG/Math/VectorT.hh>

// defintions
enum FaceTagsEnum { ORIGMESHTAG = 0, ROBUSTHULLTAG = 33 };

// Meshes etc
typedef TriMesh MeshT;
typedef MeshT::FaceIter FaceIter;
typedef MeshT::FaceIter FIter;
typedef MeshT::EdgeIter EdgeIter;
typedef MeshT::EdgeIter EIter;
typedef MeshT::VertexIter VertexIter;
typedef MeshT::VertexIter VIter;
typedef MeshT::HalfedgeIter HalfedgeIter;
typedef MeshT::HalfedgeIter HIter;
typedef MeshT::FaceVertexIter FVIter;
typedef MeshT::FaceEdgeIter   FEIter;
typedef MeshT::VertexEdgeIter   VEIter;
typedef MeshT::FaceHalfedgeIter FHIter;
typedef MeshT::ConstFaceHalfedgeIter CFHIter;
typedef MeshT::VertexVertexIter VVIter;
typedef MeshT::VertexOHalfedgeIter VOHIter;
typedef MeshT::FaceFaceIter     FFIter;
typedef MeshT::VertexFaceIter VFIter;
typedef MeshT::HalfedgeHandle HEH;
typedef MeshT::FaceHandle FH;
typedef MeshT::FaceHandle FH;
typedef MeshT::VertexHandle VH;
typedef MeshT::EdgeHandle EH;
typedef MeshT::Color Color;

typedef PolyMesh PMeshT;
typedef PMeshT::FaceIter PFaceIter;
typedef PMeshT::FaceIter PFIter;
typedef PMeshT::EdgeIter PEdgeIter;
typedef PMeshT::EdgeIter PEIter;
typedef PMeshT::VertexIter PVertexIter;
typedef PMeshT::VertexIter PVIter;
typedef PMeshT::HalfedgeIter PHalfedgeIter;
typedef PMeshT::HalfedgeIter PHIter;
typedef PMeshT::FaceVertexIter PFVIter;
typedef PMeshT::FaceEdgeIter   PFEIter;
typedef PMeshT::VertexEdgeIter   PVEIter;
typedef PMeshT::FaceHalfedgeIter PFHIter;
typedef PMeshT::ConstFaceHalfedgeIter PCFHIter;
typedef PMeshT::VertexVertexIter PVVIter;
typedef PMeshT::VertexOHalfedgeIter PVOHIter;
typedef PMeshT::FaceFaceIter     PFFIter;
typedef PMeshT::VertexFaceIter PVFIter;
typedef PMeshT::HalfedgeHandle PHEH;
typedef PMeshT::FaceHandle PFH;
typedef PMeshT::FaceHandle PFH;
typedef PMeshT::VertexHandle PVH;
typedef PMeshT::EdgeHandle PEH;
typedef PMeshT::Color PColor;

// Points, Scalars etc
typedef MeshT::Point::value_type Scalar;
typedef ACG::VectorT<Scalar, 3>     Vec3;
typedef ACG::VectorT<Scalar, 2>     Vec2;


#endif 
